<?php

namespace App\Service;

use mysqli;

class DatabaseManager
{
    private mysqli $conn;

    public function __construct(
        private MysqliConnection $service
    )
    {
        $this->conn = $this->service->getConnection();
    }

    public function listDatabases(): array
    {
        $dbs = [];
        $results = $this->conn->query('SHOW DATABASES');
        while ($result = $results->fetch_object()) {
            $dbs[] = $result->Database;
        }

        return $dbs;
    }
}