<?php

namespace App\Service;

use mysqli;

class MysqliConnection
{
    private mysqli $connection;

    public function __construct($hostname, $user, $password)
    {
        $this->connection = new mysqli($hostname, $user, $password);
        if ($this->connection->connect_error) {
            throw new \Exception("Connection failed: " . $this->connection->connect_error);
        }
    }

    public function getConnection(): mysqli
    {
        return $this->connection;
    }
}